Skip to content
Start here

Create Vectorize Index

POST/accounts/{account_id}/vectorize/v2/indexes

Creates and returns a new Vectorize Index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize Write
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
Body ParametersJSONExpand Collapse
config: IndexDimensionConfiguration { dimensions, metric } or object { preset }

Specifies the type of configuration to use for the index.

One of the following:
IndexDimensionConfiguration = object { dimensions, metric }
dimensions: number

Specifies the number of dimensions for the index

maximum1536
minimum1
metric: "cosine" or "euclidean" or "dot-product"

Specifies the type of metric to use calculating distance.

One of the following:
"cosine"
"euclidean"
"dot-product"
VectorizeIndexPresetConfiguration = object { preset }
preset: "@cf/baai/bge-small-en-v1.5" or "@cf/baai/bge-base-en-v1.5" or "@cf/baai/bge-large-en-v1.5" or 2 more

Specifies the preset to use for the index.

One of the following:
"@cf/baai/bge-small-en-v1.5"
"@cf/baai/bge-base-en-v1.5"
"@cf/baai/bge-large-en-v1.5"
"openai/text-embedding-ada-002"
"cohere/embed-multilingual-v2.0"
name: string
description: optional string

Specifies the description of the index.

ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: CreateIndex { config, created_on, description, 2 more }
config: optional IndexDimensionConfiguration { dimensions, metric }
dimensions: number

Specifies the number of dimensions for the index

maximum1536
minimum1
metric: "cosine" or "euclidean" or "dot-product"

Specifies the type of metric to use calculating distance.

One of the following:
"cosine"
"euclidean"
"dot-product"
created_on: optional string

Specifies the timestamp the resource was created as an ISO8601 string.

formatdate-time
description: optional string

Specifies the description of the index.

modified_on: optional string

Specifies the timestamp the resource was modified as an ISO8601 string.

formatdate-time
name: optional string
success: true

Whether the API call was successful

Create Vectorize Index

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/vectorize/v2/indexes \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "config": {
            "dimensions": 768,
            "metric": "cosine"
          },
          "name": "example-index",
          "description": "This is my example index."
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "config": {
      "dimensions": 768,
      "metric": "cosine"
    },
    "created_on": "2022-11-15T18:25:44.442097Z",
    "description": "This is my example index.",
    "modified_on": "2022-11-15T18:25:44.442097Z",
    "name": "example-index"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "config": {
      "dimensions": 768,
      "metric": "cosine"
    },
    "created_on": "2022-11-15T18:25:44.442097Z",
    "description": "This is my example index.",
    "modified_on": "2022-11-15T18:25:44.442097Z",
    "name": "example-index"
  },
  "success": true
}